#include <bits/stdc++.h>
using namespace std;

void Sort(pair<int, double> niz[], int l, int r) {
	if(l>=r) {
		return;
	}
	int m=(l+r-1)/2;
	Sort(niz, l, m);
	Sort(niz, m+1, r);
	int lenl=m-l+1, lenr=r-m, i=0, j=0, k=l;
	pair<int, double> L[lenl], R[lenr];
	for (int i=0; i<lenl; i++)
		L[i]=niz[l+i];
	for (int j=0; j<lenr; j++)
		R[j]=niz[m+1+j];
	while (i<lenl && j<lenr) {
		if (L[i].second <= R[j].second) {
			niz[k]=L[i];
			i++;
		}
		else {
			niz[k]=R[j];
			j++;
		}
		k++;
	}
	while (i<lenl) {
		niz[k]=L[i];
		i++;
		k++;
	}
	while (j<lenr) {
		niz[k]=R[j];
		j++;
		k++;
	}
}
int main() {
	int N;
	double rez=0;
	long long x=0;
	cin>>N;
	double y[N];
	pair<int, double> A[N];
	for(int i=0; i<N; i++) cin>>A[i].first>>A[i].second;
	for(int i=0; i<N; i++) x+=A[i].first;
	Sort(A, 0, N-1);
	for(int i=0; i<N; i++) A[i].second/=100;
	for(int i=0; i<N; i++) {
		rez=fmax(rez, A[i].second*x);
		x-=A[i].first;
	}
	cout<<fixed<<rez;
	return 0;
}